//
//  TSConfig.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/20.

extension UIColor {
    /// 背景色
    static let mainBg = "#07080C".uiColor
    
    /// 主色调
    static let themeColor = "#E661F6".uiColor
    
    
    //卡片色
    static let cardColor = "#222222".uiColor
    
    /// 弹窗色
    static let popupColor = "#222222".uiColor
    
    static let naviMianBgColor = UIColor.clear
    static let naviMianTextColor = UIColor.white.withAlphaComponent(0.8)
    
    static let mainDisable = UIColor(named: "c_main_disable")!
    
    /// 分割线
    static let sepaLine = UIColor(named: "c_sepa_line")!
    
    /// 主要文字
    static let mainText = UIColor.white
    
    /// 次要文字
    static let lesserText = UIColor.fromHex("#FFFFFF", alpha: 0.6)
    
    /// 弱文字
    static let textDisable = "#BBC3DA".uiColor
    
    /// 辅助文字
    static let textAssist = UIColor.fromHex("#FFFFFF", alpha: 0.4)
    
    /// 成功
    static let success = UIColor(named: "c_success")!
    
    /// 辅助色
    static let assist = UIColor.white.withAlphaComponent(0.6)
    
    /// 按钮色
    static let button = UIColor(named: "c_button")!
    
    /// 警示色
    static let alert = UIColor(named: "c_alert")!
    
    /// 主色调
    static let mainGlowing = "#D553FA".toColor()!
    static let mainLightGlowing = "#FE01AA".toColor()!
    
    /// 辅助 - 蓝色
    static let assistBlue = UIColor(named: "c_assist_blue")!
}



let kPageNum = 1
let kPageSize = 10
